From 20073b352a1dd204da537eaa595bc04819071ba5 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 11:30:41 +0200
Subject: [PATCH 09/14] gdb: disable gdbserver on riscv (nyi)

---
 srcpkgs/gdb/template | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/gdb/template b/srcpkgs/gdb/template
index eb0e76dbcb4..0364a6ba6c6 100644
--- a/srcpkgs/gdb/template
+++ b/srcpkgs/gdb/template
@@ -27,7 +27,10 @@ fi
 build_options="gdbserver static python"
 desc_option_gdbserver="Enable support for building GDB server"
 # Enable gdbserver if !static.
-build_options_default="gdbserver python"
+case "$XBPS_TARGET_MACHINE" in
+	riscv*) build_options_default="python";;
+	*) build_options_default="gdbserver python";;
+esac
 # Both options cannot be enabled at the same time
 vopt_conflict gdbserver static
 

